> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms.md).

# Forms

Reference documentation for the Forms item in the Solution Explorer

## Overview

This node contains all forms and working sets created for the active solution.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                             | Summary                                                                                    |
| ----------------------------------- | ------------------------------------------------------------------------------------------ |
| [Create new form](#create-new-form) | Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) |
| [Add working set](#create-new-form) | Adds a new working set                                                                     |
| [Publish](#publish)                 | Publish solution Git repository to Servoy Cloud                                            |

## Commands Details

The details for each command available on this item via right-click context menu:

### Create new form

Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md).

### Add working set

Adds a new working set. A working set is like a folder for forms, for grouping forms in Solution Explorer. It has no impact for Client.

### Publish

Publish solution Git repository to Servoy Cloud. The local git repository must be in sync with remote repository (no changes).

## Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* property:
  * [Create new form](#create-new-form)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
